Skip to main content
GET
/
v5
/
expenses
/
expense
Get an expense
curl --request GET \
  --url https://sandbox.hurdlr.com/rest/v5/expenses/expense \
  --header 'Authorization: Bearer <token>'
{
  "amount": 50.01,
  "id": 123,
  "status": "ACTIVE",
  "type": "BUSINESS",
  "date": "2022-01-04T10:20:00Z",
  "state": "UNKNOWN",
  "salesTaxAmount": 1.01,
  "description": "Gas purchase",
  "vendorId": 123,
  "vendorName": "United Airlines",
  "businessId": 123,
  "clientId": 123,
  "clientName": "<string>",
  "categoryId": 123,
  "personalCategoryId": 123,
  "expenseRuleId": 123,
  "invoiceId": 123,
  "confidence": "LIKELY",
  "frequency": "ONE_TIME",
  "recurringParentId": 123,
  "isParent": true,
  "apiExpenseId": "<string>",
  "apiAccountId": "<string>",
  "apiAccountNo": "<string>",
  "apiAccountName": "Citi Premier® Card",
  "apiInstitutionId": "<string>",
  "bankAccountId": 123,
  "bankDescription": "<string>",
  "billId": 123,
  "bankTransferId": 123,
  "childExpenses": [
    {
      "type": "BUSINESS",
      "amount": 50.01,
      "status": "ACTIVE",
      "id": 123,
      "businessId": 123,
      "clientId": 123,
      "categoryId": 123,
      "personalCategoryId": 123,
      "invoiceId": 123,
      "description": "Gas purchase",
      "salesTaxAmount": 1.01,
      "state": "DC",
      "vendorId": 123,
      "billId": {}
    }
  ],
  "customData": {},
  "reviewStatus": "PARTNER_REVIEW_REQUIRED",
  "userAccess": "NONE",
  "accountantAccess": "NONE",
  "v6EntityId": "<string>",
  "orderId": "<string>"
}

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Query Parameters

id
string
default:""
required

Id of the specific expense

Response

200 - application/json

Successful operation

amount
number
required

Total amount of the expense

Example:

50.01

id
integer<int64>

Id of the expense, required when updating an existing expense

status
enum<string>

Status of the expense

Available options:
ACTIVE,
INACTIVE
type
enum<string>

Type of the expense

Available options:
BUSINESS,
NOT_BUSINESS,
PENDING,
PAYROLL
date
string<date-time>

Date of the expense

Example:

"2022-01-04T10:20:00Z"

state
enum<string>

State in which this expense was incurred, used to calculate sales tax amount

Available options:
UNKNOWN,
AL,
AK,
AS,
AZ,
AR,
CA,
CO,
CT,
DE,
DC,
FM,
FL,
GA,
GU,
HI,
ID,
IL,
IN,
IA,
KS,
KY,
LA,
ME,
MD,
MH,
MA,
MI,
MN,
MS,
MO,
MT,
NE,
NV,
NH,
NJ,
NM,
NY,
NC,
ND,
MP,
OH,
OK,
OR,
PW,
PA,
PR,
RI,
SC,
SD,
TN,
TX,
UT,
VT,
VI,
VA,
WA,
WV,
WI,
WY,
AB,
BC,
MB,
NB,
NL,
NT,
NS,
NU,
ON,
PE,
QC,
SK,
YT
salesTaxAmount
number

Sales tax amount for the expense

Example:

1.01

description
string

Description of the expense

Example:

"Gas purchase"

vendorId
integer<int64>

Id of the vendor associated with this expense; either vendorName or vendorId is required to create a new expense

vendorName
string

Name of this vendor associated with this expense; either vendorName or vendorId is required to create a new expense

Example:

"United Airlines"

businessId
integer<int64>

Id of the business assigned to this expense, required for BUSINESS expenses

clientId
integer<int64>

Id of the client assigned to this expense

clientName
string

Name of the client assigned to this expense

categoryId
integer<int64>

Id of the category associated with this expense, required for BUSINESS expenses

personalCategoryId
integer<int64>

Id of the personal category associated with this expense

expenseRuleId
integer<int64>

Id of the rule that automatically classified this expense

invoiceId
integer<int64>

Id of the invoice that this expense is reimbursed on

confidence
enum<string>

Confidence of a tax deduction, only pertains to PENDING expenses

Available options:
LIKELY,
QUESTIONABLE,
UNLIKELY
frequency
enum<string>

Frequency of the expense

Available options:
ONE_TIME,
WEEKLY,
MONTHLY,
YEARLY
Example:

"ONE_TIME"

recurringParentId
integer<int64>

Id of the recurring parent expense; populated if this expense is recurring

isParent
boolean

Whether this expense is a parent (e.g. to recurring or split children expenses). Parent expenses generally should not be directly displayed to the user, as its children are more pertinent and displaying both results in double counting.

apiExpenseId
string

Id of the expense on associated API

apiAccountId
string

Id of the user's bank account on associated API

apiAccountNo
string

Mask of the user's bank account, often the last 4 digits of the account number

apiAccountName
string

Display name for the bank account from which this expense originated

Example:

"Citi Premier® Card"

apiInstitutionId
string

Name or id of the institution from which the transaction originated

bankAccountId
integer<int64>

Id of the user's bank account associated with this expense

bankDescription
string

Transaction description, similar to what will show on the user's bank statement

billId
integer<int64>

Id of the bill that this expense paid for

bankTransferId
integer<int64>

Bank transfer that paid out this expense

childExpenses
object[]
customData
object

Custom JSON in which you can store any data with max length of 2000 characters

reviewStatus
enum<string>

Review status of the expense

Available options:
PARTNER_REVIEW_REQUIRED,
USER_REVIEW_REQUIRED,
ACCOUNTANT_REVIEW_REQUIRED,
RECONCILIATION_STAGED,
RECONCILED,
RECONCILIATION_DISCREPANCY,
ADJUSTMENT_USER_REVIEW_REQUIRED,
ADJUSTMENT_ACCOUNTANT_REVIEW_REQUIRED,
ADJUSTMENT_RECONCILIATION_STAGED,
RECONCILIATION_AWAITING,
PARTNER_REVIEW_REQUIRED,
USER_REVIEW_REQUIRED,
ACCOUNTANT_REVIEW_REQUIRED,
RECONCILIATION_STAGED,
RECONCILED,
RECONCILIATION_DISCREPANCY,
ADJUSTMENT_USER_REVIEW_REQUIRED,
ADJUSTMENT_ACCOUNTANT_REVIEW_REQUIRED,
ADJUSTMENT_RECONCILIATION_STAGED
userAccess
enum<string>

Access level for the user. This field uses the default configuration for the Partner; however, it can be overridden to manipulate how a user can interact with this expense.

Available options:
NONE,
READ_ONLY,
READ_WRITE,
NONE,
READ_ONLY,
READ_WRITE
accountantAccess
enum<string>

Access level for the accountant. This field uses the default configuration for the Partner; however, it can be overridden to manipulate how an accountant can interact with this expense.

Available options:
NONE,
READ_ONLY,
READ_WRITE,
NONE,
READ_ONLY,
READ_WRITE
v6EntityId
string

Entity id on the v6 API for this expense

orderId
string

Id of the order associated with this expense